> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Sponsorships for Donors



## OpenAPI

````yaml post /admin/sponsorships/archive
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/sponsorships/archive:
    post:
      tags:
        - Sponsorships
      summary: Archive Sponsorships for Donors
      operationId: ad614682b9c988021287d988ef536ad2
      requestBody:
        description: Data needed to archive sponsorships for a donor
        required: true
        content:
          application/json:
            schema:
              properties:
                donor_entity_ids:
                  type: array
                  items:
                    type: integer
                  example: '[1, 2, 3]'
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Sponsorships Successfully Removed.
                type: object
        '400':
          description: Invalid input
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Invalid input.
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````